### File

`packages/components/eui-wizard/eui-wizard-step.component.ts`

### Implements

`EuiWizardStep`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-wizard-step`
templateUrl | `./eui-wizard-step.component.html`

### Index

###### Methods
toJSON
###### Inputs
id index indexIconSvgName indexLabel isActive isCompleted isDisabled isInvalid isShowStepTitle isWarning label subLabel url

### Inputs

id
Type : `string`

index
Type : `number`

indexIconSvgName
Type : `string`

indexLabel
Type : `string`

isActive
Type : `boolean`
Default value : `false`

isCompleted
Type : `boolean`
Default value : `false`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

isShowStepTitle
Type : `boolean`
Default value : `false`

isWarning
Type : `boolean`
Default value : `false`

label
Type : `string`

subLabel
Type : `string`

url
Type : `string`

### Methods

toJSON
`toJSON()`
TODO: from which one is this method being used from? Returns : `object`

# results matching ""

# No results matching ""